import React from "react";
import style from "./Seperator.module.module.css";
import compileClassNames from "../../libraries/compileClassNames";

export default function SeperatorSkeleton(props) {
  let { seperator, customClassName = {}, tagName = "li" } = props;
  let seperatorClassName = compileClassNames(
    customClassName,
    {
      [style.seperator]: true
    },
    {
      [customClassName.seperator]: !!customClassName.seperator
    }
  );
  return React.createElement(tagName, {
    className: seperatorClassName,
    children: seperator
  });
}
